%define module_name Docker-Registry
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Azure/AD/ClientCredentials.pm) perl(Crypt/JWT.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Headers.pm) perl(HTTP/Tiny.pm) perl(IO/Socket/SSL.pm) perl(Import/Into.pm) perl(JSON/MaybeXS.pm) perl(MIME/Base64.pm) perl(Moo.pm) perl(Path/Class.pm) perl(Paws.pm) perl(Sub/Override.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/Lib.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Throwable/Error.pm) perl(Types/Standard.pm) perl(URI.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: A client for talking to Docker Registries
Group: Development/Perl
License: apache
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JL/JLMARTIN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module helps you talk to different Docker Registries from different cloud providers.

Docker Registry APIs are standard, but authentication methods differ from vendor to vendor.
This set of modules helps manage that for you.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes examples
%perl_vendor_privlib/D*

%changelog
* Fri Nov 09 2018 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Sat Jul 07 2018 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- regenerated from template by package builder

* Thu May 17 2018 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

